#!/bin/sh
#set -x

#must running this script with root
if [ $(id -u) != "0" ]; then
   echo "You must be root to run this script."
   echo "use \"sudo sh install_firefox.sh\" instead."
   exit 1
fi

#first locate the tar file

if [ -f Firefox_SDK.gz ]; then
   #make Firefox_extension fodler under /usr/share/ePad folder
   if [ ! -d /usr/share/epad/Chrome_extension ]; then
      mkdir /usr/share/ePad/Firefox_extension
      if [ "$?" != "0" ]; then
         echo "can not create Firefox_extension under /usr/share/ePad, installer quit"
         exit 2; 
      fi
   fi
   tar -m -C /usr/share/ePad/Firefox_extension -xf Firefox_SDK.gz
   if [ "$?" = "0" ]; then
      echo "Firefox installer finished" 
      exit 0;
   else
      echo "can not untar Firefox_SDK.gz, installer quit"
      exit 3;
   fi
else
   echo "can not find the Firefox_SDK.gz at the same folder, installer quit" 
   exit 4;
fi
